Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 790345

Summary: flumotion's logrotate.d file needs to set "su root flumotion"
Product: [Fedora] Fedora Reporter: Martin Dengler <martin>
Component: flumotionAssignee: Sergio Basto <sergio>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jeff, pkrul, sergio, thomas
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1100963 (view as bug list) Environment:
Last Closed: 2015-12-22 11:34:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martin Dengler 2012-02-14 10:11:02 UTC
Description of problem:
flumotion's logrotate.d file needs to set "su root flumotion" to suppress logrotate errors like:

error: skipping "/var/log/flumotion/*.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

Trivial patch against current git is:

diff --git a/doc/redhat/flumotion.logrotate b/doc/redhat/flumotion.logrotate
index 4d5e566..e83b940 100644
--- a/doc/redhat/flumotion.logrotate
+++ b/doc/redhat/flumotion.logrotate
@@ -2,6 +2,7 @@
     missingok
     notifempty
     sharedscripts
+    su root flumotion
     postrotate
         find /var/run/flumotion -type f -print | while read f; do
             /usr/bin/kill -HUP `cat $f 2>/dev/null` 2>/dev/null || true

Reported upstream as https://code.flumotion.com/trac/ticket/1539

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Install flumotion
2. Run /etc/cron.daily/logrotate

Comment 1 Fedora End Of Life 2013-04-03 17:52:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora End Of Life 2015-01-09 17:00:10 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 14:06:28 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Sergio Basto 2015-05-08 13:09:45 UTC
*** Bug 1100963 has been marked as a duplicate of this bug. ***

Comment 5 Fedora Update System 2015-05-10 17:45:38 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc22

Comment 6 Fedora Update System 2015-05-10 17:46:32 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc21

Comment 7 Fedora Update System 2015-05-10 17:47:25 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc20

Comment 8 Fedora Update System 2015-05-12 20:37:46 UTC
Package flumotion-0.11.0.1-2.20140103git886031a.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flumotion-0.11.0.1-2.20140103git886031a.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8019/flumotion-0.11.0.1-2.20140103git886031a.fc21
then log in and leave karma (feedback).

Comment 9 Jan Kurik 2015-12-22 11:31:17 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.